<?php

$ses = new SessionHelper();
$id_user = $ses->getSession('loginId');

$twt = new TweetModel();
$fase = (isset($_GET['fase'])) ? (int) $_GET['fase'] : FASE_COMPARTILHADA_ID;
if($fase == FASE_COMPARTILHADA_ID)
	$id_anotador_get = ID_USER_FASE_1; //superanotador = todos podem anotar!
else
	$id_anotador_get = $id_user;


$pag = (isset($_GET['pag'])) ? (int) $_GET['pag'] : 1;
$pag = max(1, $pag);
$nb_tweets = count($twt->listaDados("id", "fase=:fase AND id_anotador=:id_anotador", 
									array(':fase'=>$fase, ':id_anotador'=>$id_anotador_get)));
$nb_pags = ceil($nb_tweets / MAX_NB_TWEETS);
$prev_pag = max(1, $pag-1);
$next_pag = min($nb_pags, $pag+1);
$inicio = ($pag * MAX_NB_TWEETS) - MAX_NB_TWEETS;


$where = "fase=:fase AND id_anotador=:id_anotador AND id_user=:id_user";
$data = array(":fase"=>$fase, ':id_anotador'=>$id_anotador_get, ':id_user'=>$id_user);
$res_aux = $twt->listaAnnTweets($where, $data);

$get_ann = array();
foreach ($res_aux as $key => $tweet) {
	$twt_id = (string) $tweet["twt_id"];
	$get_ann[$twt_id]["ann_score"] = $tweet['ann_score'];
	$get_ann[$twt_id]["ann_confirmation"] = $tweet['ann_confirmation'];
}

$campos = "id,text,score,fase";
$where = "fase=:fase AND id_anotador=:id_anotador";
$data = array(":fase"=>$fase, ':id_anotador'=>$id_anotador_get);
$orderby = "id";
$offset = null;
$limit = "$inicio,".MAX_NB_TWEETS;
$res = $twt->listaDados($campos, $where, $data, $orderby, $offset, $limit);


?>


 <body>
	<div class="container">

	  <div class="col-xs-12 col-sm-9">

		<?php
		$cls = array("quadro-neg", "quadro-neu", "quadro-pos");
		$cls_ok = array("quadro-neg-ok", "quadro-neu-ok", "quadro-pos-ok");

		foreach ($res as $key => $tweet) {
			$jumb_class = $cls[$tweet["score"] + 1];
			$tweet_id = $tweet['id'];
			$text = $tweet['text'];

			$ann_score = (array_key_exists($tweet_id, $get_ann)) ? $get_ann[$tweet_id]['ann_score'] : null;
			$score_ok = "";
			if($ann_score != null)
				$jumb_class = $cls_ok[$ann_score+1]." quadro-checked";
				$score_ok = "score=$ann_score";

			// $ann_id = $tweet['ann_id'];
			$ann_confirmation = (array_key_exists($tweet_id, $get_ann)) ? $get_ann[$tweet_id]['ann_confirmation'] : null;
			$check = ($ann_confirmation == null) ? 0 : (int) $ann_confirmation;
			$check = ($check) ? "checked" : "";


		?>
			<div class="jumbotron <?php echo $jumb_class; ?>">
				<p> <?php echo $text; ?> </p>
				<div class="linha"></div>
				<div class="botoes">
					<button type="button" class="btn btn-danger" tweet-id="<?php echo $tweet_id; ?>" rel="neg">Negativo</button>
					<button type="button" class="btn btn-default" tweet-id="<?php echo $tweet_id; ?>" rel="neu">Neutro</button>
					<button type="button" class="btn btn-success" tweet-id="<?php echo $tweet_id; ?>" rel="pos">Positivo</button>
				</div>
				<div class="botoes checkbt">
					<br />
					<label>

					  <input <?php echo $check; ?> <?php echo $score_ok; ?> name="certeza" class="certeza" tweet-id="<?php echo $tweet_id; ?>" type="checkbox"> Não tenho certeza
					</label>
				</div>
			</div>
		<?php
		}

		if(count($res) == 0)
			echo "Nenhum tweet a ser anotado nessa fase.";
		?>

			<nav aria-label="..." id="pagination">
			  <ul class="pager">
				<?php if($prev_pag < $pag){ ?>
				<li id="previous-btn" class="previous">
					<a> <span aria-hidden="true">&larr;</span> Voltar </a>
				</li>
				<?php 
				}
				?>
				<li>Pág. <?php echo "$pag de $nb_pags"; ?></li>
				<?php if($next_pag > $pag){ ?>
				<li id="next-btn" class="next">
					<a> Continuar <span aria-hidden="true">&rarr;</span> </a>
				</li>
				<?php
				}
				?>
			  </ul>
			</nav>

		</div><!--/.col-xs-12.col-sm-9-->

	   
		<div class="col-xs-6 col-sm-3" id="sidebar">
		  <div class="list-group">
			<div>
			<?php include("dicas.php"); ?>
			</div>
		  </div>
		</div>

	</div> <!-- /container -->


	<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
	<!-- Include all compiled plugins (below), or include individual files as needed -->
	<script src="js/bootstrap.min.js"></script>


	<script type="text/javascript">

		var total_elements = <?php echo MAX_NB_TWEETS; ?>;
		var last_class = "";
		
		function anotar(id_tweet, score, confirmation){
			$.ajax({
				method: "get",
				url: "anotar.php",
				data: "id_tweet="+id_tweet+"&score="+score+"&confirmation="+confirmation+"&id_user=<?php echo $id_user; ?>"
			});
		}

		$('#next-btn').on("click", function(){
			var checked_elements = document.getElementsByClassName("quadro-checked").length;
			var r = total_elements-checked_elements;
			if(r > 0)
				alert(r+' tweets não anotados.');
			else
				window.location = "index.php?c=anotacao&fase=<?php echo $fase; ?>&pag=<?php echo $next_pag; ?>";
		});

		$('#previous-btn').on("click", function(){
			// var checked_elements = document.getElementsByClassName("quadro-checked").length;
			// r = total_elements-checked_elements;
			// if(r > 0)
			// 	alert(r+' tweets não anotados.');
			// else
			window.location = "index.php?c=anotacao&fase=<?php echo $fase; ?>&pag=<?php echo $prev_pag; ?>";
		});

		$('.botoes button').on("click", function(){
			// $('.botoes button').removeClass('active');
			// $(this).addClass('active');
			var rel = $(this).attr('rel');
			var id = $(this).attr('tweet-id');
			var score = 0;
			var parent = $(this).parent().parent();
			var checkbox = parent.find('input[type=checkbox]')
			var confirmation = checkbox.is(":checked") ? 1 : 0;
			parent.addClass('quadro-checked');

			if(rel == "neg"){
				parent.removeClass(last_class);
				parent.addClass('quadro-neg-ok');
				last_class = 'quadro-neg-ok';
				score = -1; 
			}
			else if(rel == "neu"){
				parent.removeClass(last_class);
				parent.addClass('quadro-neu-ok');
				last_class = 'quadro-neu-ok';
				score = 0;
			}
			else if(rel == "pos"){
				parent.removeClass(last_class);
				parent.addClass('quadro-pos-ok');
				last_class = 'quadro-pos-ok';
				score = 1;
			}

			checkbox.attr("score", score);
			anotar(id, score, confirmation);
		});


		$('.certeza').on("click", function(){
			var confirmation = $(this).is(":checked") ? 1 : 0;
			if ($(this).attr('score')){
				var score = $(this).attr('score');
				var id = $(this).attr('tweet-id');
				anotar(id, score, confirmation);
			}
		});

	</script>

  </body>
</html>