<?php

class authHelper{

	protected $sessionHelper, $redirectorHelper, $cookieHelper, $user, $pass, $check=false, $db;

	public function __construct(){
		$this->sessionHelper = new sessionHelper();
		$this->cookieHelper = new cookieHelper();
		$this->redirectorHelper = new redirectorHelper();
		$this->db = new loginModel();
	}

	public function setUser($val){
		$this->user = $val;
		return $this;
	}

	public function setPass($val){
		$this->pass = $val;
		return $this;
	}

	public function setCheck($check){
		$this->check = $check;
		return $this;
	}

	public function login(){
		$sql = $this->db->listaUnico("id", "email=:email AND password=:password", 
								array(":email"=>$this->user, ":password"=>$this->pass));
		if($sql){
			$id = $sql['id'];
			if($this->check)
				$this->cookieHelper->setCookie("XH2CuociRS", $id);
			$this->sessionHelper->setSession('loginAuth', true)
								->setSession('loginId', $id);
			$this->redirectorHelper->goPage('painel');
		}
		else
			$this->redirectorHelper->go('index.php?c=login_page&error=true');
	}

	public function logout(){
		if($this->cookieHelper->checkCookie('XH2CuociRS'))
			$this->cookieHelper->deleteCookie('XH2CuociRS');

		$this->sessionHelper->deleteSession('loginAuth')
							->deleteSession('loginId');
		$this->redirectorHelper->goToIndex();
	}

	public function checkLogin(){
		if(isset($_GET['c']) and !in_array($_GET['c'], $GLOBALS['non_restricted_pages'])){
			if(!$this->sessionHelper->checkSession('loginAuth')){
				if($this->cookieHelper->checkCookie('XH2CuociRS')){
					$id = $this->cookieHelper->getCookie('XH2CuociRS');
					if($this->db->listaUnico("id", "id=:id", array(":id"=>$id))){
						$this->cookieHelper->setCookie("XH2CuociRS", $id);
						$this->sessionHelper->setSession('loginAuth', true)
											->setSession('loginId', $id);
						return;
					}
					$this->cookieHelper->deleteCookie('XH2CuociRS');
				}
				
				$this->redirectorHelper->goToIndex();
			}
		}

		if(!isset($_GET['c']) or $_GET['c'] == "login_page"){
			if($this->checkUser())
				$this->redirectorHelper->goPage('painel');
		}
	}

	public function checkUser(){
		if($this->sessionHelper->checkSession('loginId')){
			$id = $this->sessionHelper->getSession('loginId');
			if(!$this->db->listaUnico("id", "id=:id", array(":id"=>$id))){
				if($this->cookieHelper->checkCookie('XH2CuociRS'))
					$this->cookieHelper->deleteCookie('XH2CuociRS');
				$this->sessionHelper->deleteSession('loginAuth')
									->deleteSession('loginId');
				return false;
			}
			return true;
		}
		return false;
	}

}